summaryrefslogtreecommitdiff
path: root/lib/ldb
diff options
context:
space:
mode:
authorMatthieu Patou <mat@matws.net>2013-01-08 00:28:03 -0800
committerAndrew Bartlett <abartlet@samba.org>2013-02-08 15:06:42 +1100
commit9206eaaf5dbacade3ccc79d5900d4b242730b2f3 (patch)
tree41600f82478d273040a7ce87249f7b20e12f465e /lib/ldb
parent2dc9c072cbb9b857bf52e229573d92c9a70bdcf6 (diff)
downloadsamba-9206eaaf5dbacade3ccc79d5900d4b242730b2f3.tar.gz
samba-9206eaaf5dbacade3ccc79d5900d4b242730b2f3.tar.bz2
samba-9206eaaf5dbacade3ccc79d5900d4b242730b2f3.zip
ldb: Add tests for the python api
Reviewed-by: Andrew Bartlett <abartlet@samba.org>
Diffstat (limited to 'lib/ldb')
-rwxr-xr-xlib/ldb/tests/test-tdb.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/lib/ldb/tests/test-tdb.sh b/lib/ldb/tests/test-tdb.sh
index 3310c81392..82eef69df8 100755
--- a/lib/ldb/tests/test-tdb.sh
+++ b/lib/ldb/tests/test-tdb.sh
@@ -4,9 +4,12 @@ BINDIR=$1
if [ -n "$TEST_DATA_PREFIX" ]; then
LDB_URL="$TEST_DATA_PREFIX/tdbtest.ldb"
+ PYDESTDIR="$TEST_DATA_PREFIX"
else
LDB_URL="tdbtest.ldb"
+ PYDESTDIR="/tmp"
fi
+mkdir $PYDESTDIR/tmp
export LDB_URL
PATH=$BINDIR:$PATH
@@ -35,3 +38,8 @@ $VALGRIND ldbadd $LDBDIR/tests/init.ldif || exit 1
. $LDBDIR/tests/test-tdb-features.sh
. $LDBDIR/tests/test-controls.sh
+
+which python >/dev/null 2>&1
+if [ $? -eq 0 ]; then
+ SELFTEST_PREFIX=$PYDESTDIR PYTHONPATH=$BINDIR/python python $LDBDIR/tests/python/api.py
+fi